osgAnimation::StackedTransform Class Reference

`#include <StackedTransform>`

Inheritance diagram for osgAnimation::StackedTransform:

## Public Member Functions

| StackedTransform ()
| StackedTransform (const StackedTransform &, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
void | update (float t=0.0)
const osg::Matrix & | getMatrix () const
Public Member Functions inherited from osg::MixinVector< osg::ref_ptr< StackedTransformElement > >
| MixinVector ()
MixinVector & | operator= (const vector_type &other)
virtual | ~MixinVector ()
void | clear ()
void | resize (size_type new_size, const value_type &fill_value=value_type())
void | reserve (size_type new_capacity)
void | swap (vector_type &other)
bool | empty () const
size_type | size () const
size_type | capacity () const
size_type | max_size () const
allocator_type | get_allocator () const
const_iterator | begin () const
const_iterator | end () const
const_reverse_iterator | rbegin () const
const_reverse_iterator | rend () const
const_reference | operator[] (size_type index) const
const_reference | at (size_type index) const
void | assign (size_type count, const value_type &value)
void | push_back (const value_type &value)
void | pop_back ()
iterator | erase (iterator where)
iterator | insert (iterator where, const value_type &value)
const_reference | back () const
const_reference | front () const
vector_type & | asVector ()

## Protected Attributes

osg::Matrix | _matrix

## Additional Inherited Members

Public Types inherited from osg::MixinVector< osg::ref_ptr< StackedTransformElement > >
typedef vector_type::allocator_type | allocator_type
typedef vector_type::value_type | value_type
typedef vector_type::const_pointer | const_pointer
typedef vector_type::pointer | pointer
typedef vector_type::const_reference | const_reference
typedef vector_type::reference | reference
typedef vector_type::const_iterator | const_iterator
typedef vector_type::iterator | iterator
typedef vector_type::const_reverse_iterator | const_reverse_iterator
typedef vector_type::reverse_iterator | reverse_iterator
typedef vector_type::size_type | size_type
typedef vector_type::difference_type | difference_type

## Constructor & Destructor Documentation

## StackedTransform() [1/2]

osgAnimation::StackedTransform::StackedTransform | ( |  | ) |

Referenced by StackedTransform().

## StackedTransform() [2/2]

osgAnimation::StackedTransform::StackedTransform | ( | const StackedTransform & | ,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

References osg::CopyOp::SHALLOW_COPY, and StackedTransform().

## Member Function Documentation

## getMatrix()

const osg::Matrix & osgAnimation::StackedTransform::getMatrix | ( |  | ) | const

## update()

void osgAnimation::StackedTransform::update | ( | float | t = 0.0 | ) |

## Member Data Documentation

## _matrix

osg::Matrix osgAnimation::StackedTransform::_matrix

protected

The documentation for this class was generated from the following file:

- StackedTransform